tigase.jaxmpp.core.client.xmpp.modules.xep0136

## Class MessageArchivingModule.SettingsAsyncCallback

- java.lang.Object
- - tigase.jaxmpp.core.client.xmpp.modules.xep0136.MessageArchivingModule.SettingsAsyncCallback

- All Implemented Interfaces:
    AsyncCallback
  Enclosing class:
    MessageArchivingModule

      public abstract static class MessageArchivingModule.SettingsAsyncCallback
      extends Object
      implements AsyncCallback

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SettingsAsyncCallback()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract void` | `onSuccess(boolean autoArchive)`
    `void` | `onSuccess(MessageArchivingModule.Settings pref)`
    `void` | `onSuccess(Stanza stanza)` Called when received response has type result.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface tigase.jaxmpp.core.client.AsyncCallback

      `onError, onTimeout`

- - ### Constructor Detail

    - #### SettingsAsyncCallback

          public SettingsAsyncCallback()

  - ### Method Detail

    - #### onSuccess

          public abstract void onSuccess(boolean autoArchive)

    - #### onSuccess

          public void onSuccess(MessageArchivingModule.Settings pref)
                         throws JaxmppException

      Throws:
        `JaxmppException`

    - #### onSuccess

          public void onSuccess(Stanza stanza)
                         throws JaxmppException

      Description copied from interface: `AsyncCallback`
      Called when received response has type result.
      Specified by:
        `onSuccess` in interface `AsyncCallback`
      Parameters:
        `stanza` - received stanza
      Throws:
        `JaxmppException`

Copyright © 2006–2019 Tigase. All rights reserved.